using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Siger.Middlelayer.Repository;


namespace Siger.Middlelayer.TlmRepository.Entities
{

    [Table("siger_project_toollife_expection")]
    public class ProjectToollifeExpectionEntity : EntityBase
    {
        public  ProjectToollifeExpectionEntity()
        {
            Status = 1;
            
        }

		/// <summary>
		/// 
		/// </summary>
        [Key]
        [Column("id")]
        public int Id { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("projectid")]
        public int Projectid { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("status")]
        public int Status { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("creator")]
        public int Creator { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("editor")]
        public int Editor { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("create_time")]
        public DateTime CreateTime { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("edit_time")]
        public DateTime EditTime { get; set; }
		/// <summary>
		/// 日期
		/// </summary>
        [Column("datetime")]
        public long Datetime { get; set; }
		/// <summary>
		/// 换刀人
		/// </summary>
        [Column("changer")]
        public int Changer { get; set; }
		/// <summary>
		/// 毛坯批号
		/// </summary>
        [Column("blank_code")]
        public string BlankCode { get; set; }
		/// <summary>
		/// 夹具位置
		/// </summary>
        [Column("jig_location")]
        public string JigLocation { get; set; }
		/// <summary>
		/// 冷却液温度
		/// </summary>
        [Column("coolant_temperature")]
        public string CoolantTemperature { get; set; }
		/// <summary>
		/// 缺陷位置
		/// </summary>
        [Column("defect_location")]
        public string DefectLocation { get; set; }
		/// <summary>
		/// 可能原因
		/// </summary>
        [Column("reason")]
        public string Reason { get; set; }
		/// <summary>
		/// 班次
		/// </summary>
        [Column("shift")]
        public string Shift { get; set; }
		/// <summary>
		/// 产品型号
		/// </summary>
        [Column("product_model")]
        public string ProductModel { get; set; }
		/// <summary>
		/// 设备id
		/// </summary>
        [Column("machine_id")]
        public int MachineId { get; set; }
		/// <summary>
		/// 冷却液浓度
		/// </summary>
        [Column("coolant_concentration")]
        public string CoolantConcentration { get; set; }
		/// <summary>
		/// 刀具号
		/// </summary>
        [Column("tool_number")]
        public string ToolNumber { get; set; }
		/// <summary>
		/// 刀具剩余寿命
		/// </summary>
        [Column("toollife_rest")]
        public string ToollifeRest { get; set; }
		/// <summary>
		/// 标准尺寸
		/// </summary>
        [Column("standard_size")]
        public string StandardSize { get; set; }
		/// <summary>
		/// 其他问题
		/// </summary>
        [Column("other_question")]
        public string OtherQuestion { get; set; }
		/// <summary>
		/// 生产批号
		/// </summary>
        [Column("production_batch_number")]
        public string ProductionBatchNumber { get; set; }
		/// <summary>
		/// 夹具塔号
		/// </summary>
        [Column("jig_tower")]
        public string JigTower { get; set; }
		/// <summary>
		/// 冷却液压力
		/// </summary>
        [Column("coolant_pressure")]
        public string CoolantPressure { get; set; }
		/// <summary>
		/// 刀位主轴编号
		/// </summary>
        [Column("tool_location")]
        public string ToolLocation { get; set; }
		/// <summary>
		/// 缺陷零件数
		/// </summary>
        [Column("detective_parts_count")]
        public string DetectivePartsCount { get; set; }
		/// <summary>
		/// 实际尺寸
		/// </summary>
        [Column("actual_size")]
        public string ActualSize { get; set; }
		/// <summary>
		/// 刀具批次
		/// </summary>
        [Column("tool_batch_number")]
        public string ToolBatchNumber { get; set; }
		/// <summary>
		/// 修模次数
		/// </summary>
        [Column("repair_mold_count")]
        public string RepairMoldCount { get; set; }
		/// <summary>
		/// 动平衡结果
		/// </summary>
        [Column("dynamic_balance_result")]
        public string DynamicBalanceResult { get; set; }
		/// <summary>
		/// 技术员原因
		/// </summary>
        [Column("technical_reason")]
        public string TechnicalReason { get; set; }
		/// <summary>
		/// 实测尺寸
		/// </summary>
        [Column("measured_size")]
		public string MeasuredSize { get; set; }
		/// <summary>
		/// 异常问题单号
		/// </summary>
		[Column("order_number")]
		public string OrderNumber { get; set; }
		/// <summary>
		/// 刀具标准寿命
		/// </summary>
		[Column("tool_standard_life")]
		public string ToolStandardLife { get; set; }
       
    }

}
